time_cc.h File Reference
Cumulative counter of time as rate counter.

Report the cumulative counter of time for which a flag is true as rate counter. More...

`#include <stdint.h>`
`#include <osmocom/core/timer.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_time_cc_cfg
| Configuration for osmo_time_cc. More...
struct | osmo_time_cc
| Report the cumulative counter of time for which a flag is true as rate counter. More...

## Functions

void | osmo_time_cc_init (struct osmo_time_cc *tc)
void | osmo_time_cc_set_flag (struct osmo_time_cc *tc, bool flag)
void | osmo_time_cc_cleanup (struct osmo_time_cc *tc)

## Detailed Description

Report the cumulative counter of time for which a flag is true as rate counter.